SystemOrganization addCategory: #ConfigurationOfMoose2Model!

Object subclass: #ConfigurationOfMoose2Model
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfMoose2Model'!

!ConfigurationOfMoose2Model commentStamp: 'RainerWinkler 8/16/2019 11:40' prior: 0!
This is the configuration needed to distribute Moose2Model via Monticello.!

!ConfigurationOfMoose2Model class methodsFor: 'development support' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>! !

!ConfigurationOfMoose2Model class methodsFor: 'private' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #'ConfigurationOf'
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #'ConfigurationOf' ifAbsent: aBlock ].! !

!ConfigurationOfMoose2Model class methodsFor: 'private' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfMoose2Model class methodsFor: 'private' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
ensureMetacelloBaseConfiguration
  Smalltalk
    at: #'ConfigurationOf'
    ifAbsent: [ 
      | repository version |
      repository := MCHttpRepository
        location: 'http://smalltalkhub.com/mc/dkh/metacello/main'
        user: ''
        password: ''.
      repository
        versionReaderForFileNamed: 'Metacello-Base-dkh.107'
        do: [ :reader | 
          version := reader version.
          version load.
          version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfMoose2Model class methodsFor: 'metacello tool support' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfMoose2Model class methodsFor: 'loading' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfMoose2Model class methodsFor: 'loading' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfMoose2Model class methodsFor: 'loading' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfMoose2Model class methodsFor: 'accessing' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
project

	^self new project! !

!ConfigurationOfMoose2Model class methodsFor: 'development support' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
customProjectAttributes
    "Edit to return a collection of any custom attributes e.g. for conditional loading: Array with: #'Condition1' with: #'Condition2.
	For more information see: http://code.google.com/p/metacello/wiki/CustomProjectAttrributes "

    ^ #()! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'RainerWinkler 2/19/2021 17:38'!
development: spec
	<symbolicVersion: #development>
	spec for: #'pharo5.x' version: '1.4.1'.
	spec for: #'pharo6.x' version: '1.4.1'.
	spec for: #'pharo7.x' version: '1.4.1'.
	spec for: #'pharo8.x' version: '1.4.1'! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
project
    ^ project
        ifNil: [ 
            "Bootstrap Metacello if it is not already loaded"
            self class ensureMetacello.
            project := MetacelloMCProject new projectAttributes: self customProjectAttributes.	"Create the Metacello project"
            (Smalltalk at: #'MetacelloVersionConstructor') on: self project: project.	"Construct the project"
            project loadType: #'linear'.	"change to #atomic if desired"
            project ]! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'RainerWinkler 2/12/2021 14:17'!
stable: spec
	<symbolicVersion: #stable>
	spec for: #'pharo5.x' version: '1.4.0'.
	spec for: #'pharo6.x' version: '1.4.0'.
	spec for: #'pharo7.x' version: '1.4.0'.
	spec for: #'pharo8.x' version: '1.4.0'! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'CompatibleUserName 8/30/2019 13:38:06'!
version130: spec
<version: '1.3.0'>


spec for: #'common' do: [ 
	spec repository: 'http://www.smalltalkhub.com/mc/RainerWinkler/RW-Moose-Diagram/main'.
	"
	Outcomment dependency from Moose Model as it is not loading
	spec project: 'Moose ALL' with: [ 
		   spec repository: 'http://www.smalltalkhub.com/mc/Moose/Moose/main';
		        className: #ConfigurationOfMoose;
		        versionString: #'development' ]."
		 
	spec package: 'RWMooseDiagram' with: 'RWMooseDiagram-RainerWinkler.1566997261';
	     package: 'Moose2Model' with: 'Moose2Model-RainerWinkler.1566983432' ].! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'RainerWinkler 9/1/2019 10:58'!
version131: spec
	<version: '1.3.1'>
	spec
		for: #common
		do: [ spec
				repository: 'http://www.smalltalkhub.com/mc/RainerWinkler/RW-Moose-Diagram/main'.
			"
	Outcomment dependency from Moose Model as it is not loading
	spec project: 'Moose ALL' with: [ 
		   spec repository: 'http://www.smalltalkhub.com/mc/Moose/Moose/main';
		        className: #ConfigurationOfMoose;
		        versionString: #'development' ]."
			spec
				package: 'RWMooseDiagram'
					with: 'RWMooseDiagram-RainerWinkler.1567165088';
				package: 'Moose2Model'
					with: 'Moose2Model-RainerWinkler.1567165088' ]! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'RainerWinkler 9/13/2019 16:35'!
version132: spec
	<version: '1.3.2'>
	spec
		for: #common
		do: [ spec
				repository: 'http://www.smalltalkhub.com/mc/RainerWinkler/RW-Moose-Diagram/main'.
			spec
				package: 'RWMooseDiagram'
					with: 'RWMooseDiagram-RainerWinkler.1567165090'; "Includes also fix #93"
				package: 'Moose2Model'
					with: 'Moose2Model-RainerWinkler.1567165088' ]! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'RainerWinkler 12/18/2020 14:49'!
version140: spec
	<version: '1.4.0'>
	spec
		for: #common
		do: [ spec repository: 'http://ss3.gemstone.com/ss/Moose2Model'.
			spec
				package: 'RWMooseDiagram'
					with: 'RWMooseDiagram-RainerWinkler.1567165091';
				"Includes also fix #93"
					package: 'Moose2Model'
					with: 'Moose2Model-RainerWinkler.1567165091' ]! !

!ConfigurationOfMoose2Model methodsFor: 'accessing' stamp: 'RainerWinkler 2/19/2021 17:38'!
version141: spec
	<version: '1.4.1'>
	spec
		for: #common
		do: [ spec repository: 'http://ss3.gemstone.com/ss/Moose2Model'.
			spec
				package: 'RWMooseDiagram'
					with: 'RWMooseDiagram-RainerWinkler.1567165092';
				"Includes also fix #93"
					package: 'Moose2Model'
					with: 'Moose2Model-RainerWinkler.1567165091' ]! !
